summarylogtreecommitdiffstats
path: root/evelauncher.shlib
diff options
context:
space:
mode:
authorJernuh Zakalwe2019-03-03 14:57:40 +0100
committerJernuh Zakalwe2019-03-03 14:57:40 +0100
commit8ea2e0d83a2a8cfa2543308fd5cb831eb89cc8ac (patch)
treebae8be3980b1b1b2a9a78b0e4bf6d3540b2ec595 /evelauncher.shlib
parentad1a68e4c01b49bf047e191d00b36938e14d52d4 (diff)
downloadaur-8ea2e0d83a2a8cfa2543308fd5cb831eb89cc8ac.tar.gz
32bit restriction removed from used wine environment for coming 64bit client.
Windows version now set to win10 for wine versions >=4.0 for possible use of vkd3d. Some shell functions outsourced in evelauncher.shlib for using in all scripts.
Diffstat (limited to 'evelauncher.shlib')
-rw-r--r--evelauncher.shlib28
1 files changed, 28 insertions, 0 deletions
diff --git a/evelauncher.shlib b/evelauncher.shlib
new file mode 100644
index 000000000000..54c3d4062b7e
--- /dev/null
+++ b/evelauncher.shlib
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+# Evelauncher shared functions
+
+desktop_msg() {
+ if [ -x "$(which notify-send 2>/dev/null)" ] ;then
+ notify-send -i eve 'EVE Online Launcher' "$@"
+ fi
+ echo "$(basename $0): $@"
+}
+
+check_custom_wine() {
+ EVECONF=$HOME/.config/CCP/EVE.conf
+ UCW=$(grep UseCustomWine $EVECONF | cut -d= -f2)
+ if [ "x$UCW" = "xtrue" ] ;then
+ CUSTOMWP=$(grep CustomWinePath $EVECONF | cut -d= -f2)
+ WINEPATH=${CUSTOMWP%/*}
+ SHAREDIR=$(grep SharedCacheFolder $EVECONF | cut -d= -f2)
+ WINEPREFIX=${SHAREDIR}wineenv
+ else
+ desktop_msg "ERROR: \"Use custom Wine\" not set!"
+ exit 1
+ fi
+ if [ ! -x "$WINEPATH/wine" ] ;then
+ desktop_msg "ERROR: \"$CUSTOMWP\" from \"Custom Wine path\" not found!"
+ exit 1
+ fi
+}